Package oracle.jdbc.diagnostics

## Class ImmutableTraceAttributes

- java.lang.Object
- - oracle.jdbc.diagnostics.TraceAttributes
  - - oracle.jdbc.diagnostics.ImmutableTraceAttributes

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Iterable<TraceAttributes.Entry>`

    public final class ImmutableTraceAttributes
    extends TraceAttributes

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class oracle.jdbc.diagnostics.TraceAttributes

`TraceAttributes.Entry`

### Field Summary

### Fields inherited from class oracle.jdbc.diagnostics.TraceAttributes

`values`

### Constructor Summary

Constructors
`protected` `ImmutableTraceAttributes​(java.lang.String[] values)` Creates a new instance of ImmutableTraceAttributes with the given values

### Method Summary

All Methods Instance Methods Concrete Methods
`ImmutableTraceAttributes` `toReadOnly()`

### Methods inherited from class oracle.jdbc.diagnostics.TraceAttributes

`get, iterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### ImmutableTraceAttributes

    protected ImmutableTraceAttributes​(java.lang.String[] values)

Creates a new instance of ImmutableTraceAttributes with the given values

Parameters:
  `values` - to be initialized this ImmutableTraceAttributes trace instance with

### Method Detail

#### toReadOnly

    public ImmutableTraceAttributes toReadOnly()

Specified by:
  `toReadOnly` in class `TraceAttributes`
Returns:
  this instance is returned.